> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/zec/disk-snapshot/modifyautosnapshotpolicy.md).

# ModifyAutoSnapshotPolicy

## 1. API Description

This API (ModifyAutoSnapshotPolicy) is used to modify the basic information of the snapshot schedule.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name         | Required | Type             | Description                                                                                                                                                                                                     |
| ---------------------- | -------- | ---------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| autoSnapshotPolicyId   | Yes      | String           | The ID of the snapshot schedule.                                                                                                                                                                                |
| autoSnapshotPolicyName | No       | String           | <p>The name of the snapshot schedule.</p><p>The length is 2 to 63 characters.</p><p>Only letters, numbers, -/\_ and periods (.) are supported.</p><p>The name must start and end with a number or a letter.</p> |
| repeatWeekDays         | No       | Array of Integer | <p>The backup date of the schedule.</p><p>Unit: day, cycle: week (e.g., 1 = Monday).</p><p>Value range: \[1, 7]</p>                                                                                             |
| hours                  | No       | Array of Integer | <p>Specify the start time of the snapshot schedule.</p><p>UTC time is used. Unit: hour.</p><p>24 time points are available from 00:00 to 23:00, 1 = 01:00, and so on.</p><p>Value range: \[0, 23]</p>           |
| retentionDays          | No       | Integer          | <p>Retention time of automatic snapshots. Unit: day.</p><p>If the value is set to -1, it means that it is retained indefinitely.</p><p>Value range: -1 or \[1,65535].</p>                                       |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify the attributes of the snapshot schedule, including the name, and set the retention time to 3 days.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyAutoSnapshotPolicy
<Common Request Params>

Request：
{
  "autoSnapshotPolicyId": "<autoSnapshotPolicyId>",
  "autoSnapshotPolicyName": "Test",
  "retentionDays": 3
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                  | Description                           |
| ---------------- | ------------------------------------------- | ------------------------------------- |
| 404              | INVALID\_AUTO\_SNAPSHOT\_POLICY\_NOT\_FOUND | The snapshot schedule does not exist. |
| 400              | INVALID\_RETENTION\_DAYS                    | Invalid retention days.               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/disk-snapshot/modifyautosnapshotpolicy.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
